// Include file for R3 grids module 

#ifndef __R3__GRIDS__H__
#define __R3__GRIDS__H__



// Dependency include files 

#include "R3Shapes/R3Shapes.h"
#include "Skit/Skit.h"


// Forward class declarations

class R2Grid;
class R2SphericalGrid;
class R2SphericalHarmonics;
class R3Grid;
class R3SphericalGrid;
class R3SphericalHarmonics;



// 2D Grid include files 

#include "R3Grids/R2Grid.h"
#include "R3Grids/R2SphericalGrid.h"
#include "R3Grids/R2SphericalHarmonics.h"



// 3D Grid include files 

#include "R3Grids/R3Grid.h"
#include "R3Grids/R3SphericalGrid.h"
#include "R3Grids/R3SphericalHarmonics.h"



// Utility include files

#include "R3Grids/R3WignerD.h"
#include "R3Grids/R3Align.h"



// Initialization functions 

int R3InitGrids();
void R3StopGrids();



#endif











